import request from '@/utils/request'

// 查询设备主题日志列表
export function listTopiclog(query) {
  return request({
    url: '/device/topiclog/list',
    method: 'get',
    params: query
  })
}

// 查询设备主题日志详细
export function getTopiclog(id) {
  return request({
    url: '/device/topiclog/' + id,
    method: 'get'
  })
}

// 新增设备主题日志
export function addTopiclog(data) {
  return request({
    url: '/device/topiclog',
    method: 'post',
    data: data
  })
}

// 修改设备主题日志
export function updateTopiclog(data) {
  return request({
    url: '/device/topiclog',
    method: 'put',
    data: data
  })
}

// 删除设备主题日志
export function delTopiclog(id) {
  return request({
    url: '/device/topiclog/' + id,
    method: 'delete'
  })
}
